Module
Inhoud
Index 🔎︎

# Exp-functie

Geeft de basis van het natuurlijke logaritme (e = 2.718282) verhoogd tot een macht.

## Syntaxis:

    Exp (Getal)

## Teruggegeven waarde:

Double

## Parameters:

Getal: Elke numerieke expressie die de macht specificeert waarmee e (de basis van natuurlijke logaritmen) moet worden verhoogd. De macht moet voor zowel enkel-precisie getallen <= 88.02969 en dubbel-precisie getallen <= 709.782712893 zijn, aangezien LibreOffice BASIC een overloop-fout teruggeeft voor getallen die deze waarden overschrijden.

## Foutcodes:

5 Ongeldige aanroep van procedure

## Voorbeeld:

    Sub ExampleLogExp

    Dim dValue As Double

        Const b1=12.345e12

    Const b2=1.345e34

        dValue=Exp( Log(b1)+Log(b2) )

        MsgBox "" & dWaarde & Chr(13) & (b1*b2) ,0,"Vermenigvuldiging met logaritmen"

    End Sub